Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Flexible Authorization


Use this information to process an authorization for a Flexible transaction. For more information about this payment service, see Flexible Transaction Scenario.

For information about processing an incremental authorization when using the Flexible transaction scenario, see Incremental Authorization for Flexible Scenario.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

This example shows a Visa authorization for the Flexible transaction scenario.

{  "clientReferenceInformation": {    "code": "test123",    "comments": "Flexible Auth",    "partner": {      "developerId": "DEVID001",      "thirdPartyCertificationNumber": "prodTPCN",      "solutionId": "SOLID001"    },    "transactionId": "UniqueTranID"  },  "processingInformation": {    "commerceIndicator": "retail",    "authorizationOptions": {      "authIndicator": 0    }  },  "paymentInformation": {    "card": {      "type": "001"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "20.00",      "currency": "USD"    }  },  "pointOfSaleInformation": {    "catLevel": 2,    "entryMode": "contactless",    "terminalCapability": 4,    "terminalPinCapability": 0,    "terminalId": "87654321",    "emv": {      "tags": "9F100706011103A000009F26089302EDF8DC3C6E519F02060000000011009F03060000000000009F1A020840950500000000005F2A0208409A031807039C01009F37043444BDD7820200009F360200019F330360B0E89F1E04123456789F2701809F6E04207000009F7C140000000000000000000000000000000000000000",      "cardSequenceNumber": "01"    },    "trackData": ";4761739xx1010135=28122011758928889?"  },  "merchantInformation": {    "transactionLocalDateTime": "20250516115959"  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/7474221808366131703814/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7474221808366131703814"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/7474221808366131703814/captures"    }  },  "clientReferenceInformation": {    "code": "test123",    "comments": "Flexible Auth",    "partner": {      "developerId": "DEVID001",      "solutionId": "SOLID001"    },    "transactionId": "UniqueTranID"  },  "id": "7474221808366131703814",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "20.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "accountFeatures": {      "category": "F",      "group": "0"    },    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "pointOfSaleInformation": {    "emv": {      "tags": "9F36020001910A7D517A9478FA6AD53030"    }  },  "processorInformation": {    "systemTraceAuditNumber": "067388",    "paymentAccountReferenceNumber": "V0010013018036783719331133719",    "approvalCode": "033470",    "networkTransactionId": "305136685813069",    "settlementDate": "5141",    "retrievalReferenceNumber": "513619067388",    "transactionId": "305136685813069",    "responseCode": "00",    "avs": {      "code": "2"    }  },  "reconciliationId": "7474221808366131703814",  "status": "AUTHORIZED",  "submitTimeUtc": "2025-05-16T19:03:01Z"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet the value to Flexible Auth.
clientReferenceInformation.partner.developerId assigns this value (maximum 8 characters) when you onboard as a partner. The example value is a placeholder: substitute your assigned developer ID.
clientReferenceInformation.partner.solutionId assigns this value (maximum 8 characters) when you onboard as a partner. The example value is a placeholder: substitute your assigned solution ID.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
merchantInformation.transactionLocalDateTime
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.type
pointOfSaleInformation.catLevelSet this value to 2.
pointOfSaleInformation.emv.cardSequenceNumber
pointOfSaleInformation.emv.tags
pointOfSaleInformation.encryptedKeySerialNumberA value is required for online PIN transactions.
pointOfSaleInformation.encryptedPinA value is required for online PIN transactions.
pointOfSaleInformation.entryModeSet this value to contact.
pointOfSaleInformation.pinBlockEncodingFormatA value is required for online PIN transactions.
pointOfSaleInformation.terminalCapabilitySet this value to 4.
pointOfSaleInformation.terminalIdThis field is required when within project scope. Merchant configuration must support multiple terminal IDs. Otherwise, uses the default terminal ID in the merchant configuration.
pointOfSaleInformation.terminalPinCapability
pointOfSaleInformation.trackData
processingInformation.authorizationOptions.authIndicatorSet the value to 0.
processingInformation.commerceIndicatorSet the value to retail.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.